
QGIS Application - Bug report #15011

Browser panel is unusable

2016-06-12 09:15 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22958

Description

Same thing as #14971, the browser panel widget extent become too small to show anything.

see image (master commit:f1ec121)

Associated revisions

Revision cb4dbeaf - 2016-06-13 05:05 AM - Nyall Dawson

Fix dock widget layout (fix #15011)

Revision 834ab1c7 - 2016-06-14 01:47 PM - Nyall Dawson

More QgsDockWidget fixes (fix #15011)

History

#1 - 2016-06-12 09:52 AM - Harrissou Santanna

Also concerned : Advanced digitizing panel, statistics panel for what i see

#2 - 2016-06-12 02:15 PM - Even Rouault

I've identified through git bisect that commit:7af6d24

Changing back the base class in the .ui to QDockWidget fixes the issue, but this doesn't seem to be particularly elegant

$ git diff

diff --git a/src/ui/qgsbrowserdockwidgetbase.ui b/src/ui/qgsbrowserdockwidgetbase.ui

index 4ccf6e5..31cc6a0 100644

--- a/src/ui/qgsbrowserdockwidgetbase.ui

+++ b/src/ui/qgsbrowserdockwidgetbase.ui

@@ -1,7 +1,7 @@

 <?xml version="1.0" encoding="UTF-8"?>

 <ui version="4.0">

  <class>QgsBrowserDockWidgetBase</class>

- <widget class="QgsDockWidget" name="QgsBrowserDockWidgetBase">

+ <widget class="QDockWidget" name="QgsBrowserDockWidgetBase">

   <property name="geometry">
    <rect>

     <x>0</x>

#3 - 2016-06-12 08:06 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"cb4dbeafd1b01bc22198400af99df6866cd80910".

#4 - 2016-06-14 01:40 AM - Antal Kosza

- Status changed from Closed to Reopened

- File georeferencer.png added

I think georeferencer is affected to.

#5 - 2016-06-14 04:47 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"834ab1c70207ab16871506b52a28cf40645c8d0e".

Files

browserpanel.png 3.7 KB 2016-06-12 Harrissou Santanna

georeferencer.png 65.9 KB 2016-06-13 Antal Kosza
